ONVIF::Media::Elements::SetVideoSourceConfiguration(3)

NAME
ONVIF::Media::Elements::SetVideoSourceConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined element SetVideoSourceConfiguration from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Configuration

     $element->set_Configuration($data);
     $element->get_Configuration();

•   ForcePersistence

     $element->set_ForcePersistence($data);
     $element->get_ForcePersistence();

METHODS

  new
 my $element = ONVIF::Media::Elements::SetVideoSourceConfiguration->new($data);

Constructor. The following data structure may be passed to new():

 {
   Configuration =>  { # ONVIF::Media::Types::VideoSourceConfiguration
     SourceToken => $some_value, # ReferenceToken
     Bounds => ,
     Extension =>  { # ONVIF::Media::Types::VideoSourceConfigurationExtension
       Rotate =>  { # ONVIF::Media::Types::Rotate
         Mode => $some_value, # RotateMode
         Degree =>  $some_value, # int
         Extension =>  { # ONVIF::Media::Types::RotateExtension
         },
       },
       Extension =>  { # ONVIF::Media::Types::VideoSourceConfigurationExtension2
       },
     },
   },
   ForcePersistence =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL